summaryrefslogtreecommitdiffstats
path: root/debian/tests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 20:34:13 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 20:34:13 +0000
commit5033b68d4d2519270fa3690ed1a31fd3e4f7e777 (patch)
treeab9889da869694224fc01fa4f677b97ada54b544 /debian/tests
parentAdding upstream version 4.2.2. (diff)
downloadwireshark-5033b68d4d2519270fa3690ed1a31fd3e4f7e777.tar.xz
wireshark-5033b68d4d2519270fa3690ed1a31fd3e4f7e777.zip
Adding debian version 4.2.2-1.debian/4.2.2-1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control5
-rw-r--r--debian/tests/frame-count.lua17
-rwxr-xr-xdebian/tests/gui9
-rwxr-xr-xdebian/tests/tshark8
4 files changed, 39 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 00000000..370caad1
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,5 @@
+Tests: tshark
+Depends: tshark
+
+Tests: gui
+Depends: wireshark, xvfb, xauth, at-spi2-core
diff --git a/debian/tests/frame-count.lua b/debian/tests/frame-count.lua
new file mode 100644
index 00000000..b41b4d20
--- /dev/null
+++ b/debian/tests/frame-count.lua
@@ -0,0 +1,17 @@
+do
+ packets = 0;
+ local function init_listener()
+ local tap = Listener.new("frame")
+ function tap.reset()
+ packets = 0;
+ end
+ function tap.packet(pinfo,tvb, ip)
+ packets = packets + 1
+ end
+ function tap.draw()
+ print("Packet count:", packets)
+ os.exit(0)
+ end
+ end
+ init_listener()
+end
diff --git a/debian/tests/gui b/debian/tests/gui
new file mode 100755
index 00000000..38ad706d
--- /dev/null
+++ b/debian/tests/gui
@@ -0,0 +1,9 @@
+#!/bin/sh
+# autopkgtest check: Run wireshark GUI to see basic functionality working
+# Author: Balint Reczey <balint@balintreczey.hu>
+
+set -e
+
+xvfb-run --auto-servernum -s '-screen 0 1920x1080x24 +extension GLX' wireshark -Xlua_script:debian/tests/frame-count.lua test/captures/dhcp.pcap 2>&1
+
+echo "run: OK"
diff --git a/debian/tests/tshark b/debian/tests/tshark
new file mode 100755
index 00000000..020574f7
--- /dev/null
+++ b/debian/tests/tshark
@@ -0,0 +1,8 @@
+#!/bin/sh
+# autopkgtest check: Run tshark to see basic functionality working
+# Author: Balint Reczey <balint@balintreczey.hu>
+
+set -e
+
+tshark --version
+echo "run: OK"